#ifndef TCPIP_DEVICE_TEST_H
#define TCPIP_DEVICE_TEST_H

/*!
  \file
  \brief tcpipDevice.cpp ‚ÌƒeƒXƒg
  
  \author Satofumi KAMIMURA
  
  $Id: TcpipDeviceTest.h 286 2008-10-20 09:40:22Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>

class TcpipDeviceTest : public CppUnit::TestFixture {
  CPPUNIT_TEST_SUITE(TcpipDeviceTest);
  CPPUNIT_TEST(connectionTest);
  CPPUNIT_TEST(transmitTest);
  CPPUNIT_TEST(timeoutTest);
  CPPUNIT_TEST_SUITE_END();

public:
  void connectionTest(void);
  void transmitTest(void);
  void timeoutTest(void);
};

#endif /* !TCPIP_DEVICE_TEST_H */
